# Retrieve all checks in a specific group with group settings applied (V2) - Checkly Docs

> Lists all checks in a specific check group with the group settings applied. Unlike /v1, this endpoint does not return the flat project, logicalId, member and pending fields. A check can be managed by more than one project and each of those fields can name only one of them; projectBindings reports every binding, and is identical on /v1 and /v2. Versioning is per endpoint. Only endpoints whose response or payload changed have a /v2; everything else remains on /v1 and is unaffected. In particular the check groups themselves, and creating, updating and deleting checks, are unchanged and stay on /v1.

Source: https://www.checklyhq.com/docs/api-reference/check-groups/retrieve-all-checks-in-a-specific-group-with-group-settings-applied-v2/

---

Retrieve all checks in a specific group with group settings applied (V2)

```
curl --request GET \
--url https://api.checklyhq.com/v2/check-groups/{id}/checks \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v2/check-groups/{id}/checks"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v2/check-groups/{id}/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v2/check-groups/{id}/checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v2/check-groups/{id}/checks"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v2/check-groups/{id}/checks")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v2/check-groups/{id}/checks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
[
{
"checkType": "AGENTIC",
"id": " "
}
]
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

Check Groups

# Retrieve all checks in a specific group with group settings applied (V2)

Lists all checks in a specific check group with the group settings applied.

Unlike `/v1`, this endpoint does not return the flat `project`, `logicalId`, `member` and `pending` fields. A check can be managed by more than one project and each of those fields can name only one of them; `projectBindings` reports every binding, and is identical on `/v1` and `/v2`.

Versioning is per endpoint. Only endpoints whose response or payload changed have a `/v2`; everything else remains on `/v1` and is unaffected. In particular the check groups themselves, and creating, updating and deleting checks, are unchanged and stay on `/v1`.

GET

/

v2

/

check-groups

/

{id}

/

checks

Retrieve all checks in a specific group with group settings applied (V2)

```
curl --request GET \
--url https://api.checklyhq.com/v2/check-groups/{id}/checks \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v2/check-groups/{id}/checks"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v2/check-groups/{id}/checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v2/check-groups/{id}/checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v2/check-groups/{id}/checks"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v2/check-groups/{id}/checks")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v2/check-groups/{id}/checks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
[
{
"checkType": "AGENTIC",
"id": " "
}
]
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

#### Authorizations

​

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys).
Your API key is like a password:
keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

​

x-checkly-account

string

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Path Parameters

​

id

integer

required

#### Query Parameters

​

limit

integer

default: 10

Limit the number of results

Required range: `1 ​

page

number

default: 1

Page number

#### Response

Successful

​

checkType

enum<string>

required

The type of the check.

Available options: `AGENTIC`,

`API`,

`BROWSER`,

`HEARTBEAT`,

`ICMP`,

`MULTI_STEP`,

`TCP`,

`PLAYWRIGHT`,

`TRACEROUTE`,

`URL`,

`DNS`,

`SSL`,

`GRPC`

​

id

string

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/check-groups/retrieve-all-checks-in-a-specific-group-with-group-settings-applied-v2.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/check-groups/retrieve-all-checks-in-a-specific-group-with-group-settings-applied-v2)

[Retrieve all checks in a specific group with group settings applied Previous](https://www.checklyhq.com/docs/api-reference/check-groups/retrieve-all-checks-in-a-specific-group-with-group-settings-applied)[Create a check group Next](https://www.checklyhq.com/docs/api-reference/check-groups/create-a-check-group)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
